Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data.time
Class Minute

    java.lang.Object
      org.jfree.data.time.RegularTimePeriod
          org.jfree.data.time.Minute

All Implemented Interfaces:
  java.lang.Comparable, org.jfree.date.MonthConstants, java.io.Serializable, TimePeriod

public class Minute
extends RegularTimePeriod
implements java.io.Serializable

Represents a minute.

This class is immutable, which is a requirement for all `RegularTimePeriod` subclasses.

See Also:
  Serialized Form

Field Summary
`static int` | `FIRST_MINUTE_IN_HOUR` Useful constant for the first minute in a day.
`static int` | `LAST_MINUTE_IN_HOUR` Useful constant for the last minute in a day.

Fields inherited from class org.jfree.data.time.RegularTimePeriod
`DEFAULT_TIME_ZONE, WORKING_CALENDAR`

Fields inherited from interface org.jfree.date.MonthConstants
`APRIL, AUGUST, DECEMBER, FEBRUARY, JANUARY, JULY, JUNE, MARCH, MAY, NOVEMBER, OCTOBER, SEPTEMBER`

Constructor Summary
`Minute()` Constructs a new Minute, based on the system date/time.
`Minute(java.util.Date time)` Constructs a new Minute, based on the supplied date/time.
`Minute(java.util.Date time, java.util.TimeZone zone)` Constructs a new Minute, based on the supplied date/time and timezone.
`Minute(int minute, Hour hour)` Constructs a new Minute.
`Minute(int minute, int hour, int day, int month, int year)` Creates a new minute.

Method Summary
`int` | `compareTo(java.lang.Object o1)` Returns an integer indicating the order of this Minute object relative to the specified object: negative == before, zero == same, positive == after.
`boolean` | `equals(java.lang.Object object)` Tests the equality of this object against an arbitrary Object.
`long` | `getFirstMillisecond(java.util.Calendar calendar)` Returns the first millisecond of the minute.
`Hour` | `getHour()` Returns the hour.
`long` | `getLastMillisecond(java.util.Calendar calendar)` Returns the last millisecond of the minute.
`int` | `getMinute()` Returns the minute.
`long` | `getSerialIndex()` Returns a serial index number for the minute.
`int` | `hashCode()` Returns a hash code for this object instance.
`RegularTimePeriod` | `next()` Returns the minute following this one.
`static Minute` | `parseMinute(java.lang.String s)` Creates a Minute instance by parsing a string.
`RegularTimePeriod` | `previous()` Returns the minute preceding this one.

Methods inherited from class org.jfree.data.time.RegularTimePeriod
`getEnd, getFirstMillisecond, getFirstMillisecond, getLastMillisecond, getLastMillisecond, getMiddleMillisecond, getMiddleMillisecond, getMiddleMillisecond, getStart, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### FIRST_MINUTE_IN_HOUR

    public static final int FIRST_MINUTE_IN_HOUR

  Useful constant for the first minute in a day.

  See Also:
    Constant Field Values

### LAST_MINUTE_IN_HOUR

    public static final int LAST_MINUTE_IN_HOUR

  Useful constant for the last minute in a day.

  See Also:
    Constant Field Values

Constructor Detail

### Minute

    public Minute()

  Constructs a new Minute, based on the system date/time.

### Minute

    public Minute(int minute,
                  Hour hour)

  Constructs a new Minute.

Parameters:
  `minute` - the minute (0 to 59).
  `hour` - the hour.

### Minute

    public Minute(java.util.Date time)

  Constructs a new Minute, based on the supplied date/time.

Parameters:
  `time` - the time.

### Minute

    public Minute(java.util.Date time,
                  java.util.TimeZone zone)

  Constructs a new Minute, based on the supplied date/time and timezone.

Parameters:
  `time` - the time.
  `zone` - the time zone.

### Minute

    public Minute(int minute,
                  int hour,
                  int day,
                  int month,
                  int year)

  Creates a new minute.

Parameters:
  `minute` - the minute (0-59).
  `hour` - the hour (0-23).
  `day` - the day (1-31).
  `month` - the month (1-12).
  `year` - the year (1900-9999).

Method Detail

### getHour

    public Hour getHour()

  Returns the hour.

  Returns:
    the hour.

### getMinute

    public int getMinute()

  Returns the minute.

  Returns:
    the minute.

### previous

    public RegularTimePeriod previous()

  Returns the minute preceding this one.

  Specified by:
    `previous` in class `RegularTimePeriod`
  Returns:
    the minute preceding this one.

### next

    public RegularTimePeriod next()

  Returns the minute following this one.

  Specified by:
    `next` in class `RegularTimePeriod`
  Returns:
    the minute following this one.

### getSerialIndex

    public long getSerialIndex()

  Returns a serial index number for the minute.

  Specified by:
    `getSerialIndex` in class `RegularTimePeriod`
  Returns:
    the serial index number.

### getFirstMillisecond

    public long getFirstMillisecond(java.util.Calendar calendar)

  Returns the first millisecond of the minute.

  Specified by:
    `getFirstMillisecond` in class `RegularTimePeriod`
  Parameters:
    `calendar` - the calendar and timezone.
  Returns:
    the first millisecond.

### getLastMillisecond

    public long getLastMillisecond(java.util.Calendar calendar)

  Returns the last millisecond of the minute.

  Specified by:
    `getLastMillisecond` in class `RegularTimePeriod`
  Parameters:
    `calendar` - the calendar and timezone.
  Returns:
    the last millisecond.

### equals

    public boolean equals(java.lang.Object object)

  Tests the equality of this object against an arbitrary Object.

  This method will return true ONLY if the object is a Minute object representing the same minute as this instance.

  Parameters:
    `object` - the object to compare.
  Returns:
    `true` if the minute and hour value of this and the object are the same.

### hashCode

    public int hashCode()

  Returns a hash code for this object instance.

  The approach described by Joshua Bloch in "Effective Java" has been used here:

  `http://developer.java.sun.com/developer/Books/effectivejava/Chapter3.pdf`

  Returns:
    A hash code.

### compareTo

    public int compareTo(java.lang.Object o1)

  Returns an integer indicating the order of this Minute object relative to the specified object: negative == before, zero == same, positive == after.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `o1` - object to compare.
  Returns:
    negative == before, zero == same, positive == after.

### parseMinute

    public static Minute parseMinute(java.lang.String s)

  Creates a Minute instance by parsing a string. The string is assumed to be in the format "YYYY-MM-DD HH:MM", perhaps with leading or trailing whitespace.

  Parameters:
    `s` - the minute string to parse.
  Returns:
    `null`, if the string is not parseable, the minute otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD